import addNotification from "react-push-notification";

import Button from './Button.js';
import disruptIcon from '../img/flash.svg';


class DisruptionButton extends Button {
	genDisrupt = () => {
		addNotification({
			title: "Warning",
			subtitle: "This is a subtitle",
			message: "This is a very long message",
			theme: "blue",
			native: true, // when using native, your OS will handle theming.
		});
	}

	render() {
		return (
			<Button onClick={this.props.onClick.concat([this.genDisrupt])} className="disruptBtn">
				<img src={disruptIcon} alt="" />
				<span>Generera Störning</span>
			</Button>
		);
	}
}


export default DisruptionButton;
